## navit 0.5.0~svn5740+dfsg.1

=== CMakeLists.txt ===
set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.navitproject.navit")
set(MACOSX_BUNDLE_BUNDLE_NAME "Navit")
project(navit C)

# Workaround for CMake issue 8345 / 9220, see http://trac.navit-project.org/ticket/1041
if(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
  set(CMAKE_CXX_COMPILER CMAKE_CXX_COMPILER-NOTFOUND)
endif(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$") 
if (NOT DISABLE_CXX)
  enable_language(CXX OPTIONAL)
endif(NOT DISABLE_CXX)

cmake_minimum_required(VERSION 2.6)
cmake_policy(VERSION 2.6)

set(PACKAGE_VERSION "0.5.0")
set(PACKAGE_NAME "navit-svn")
set(PACKAGE "navit")
set(PACKAGE_STRING "${PACKAGE} ${PACKAGE_VERSION}")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
include("${PROJECT_SOURCE_DIR}/cmake/navit_macros.cmake")

IF(NOT CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# install path
set(BIN_DIR bin)
set(SHARE_DIR share/navit)
set(LOCALE_DIR share/locale)
set(IMAGE_DIR share/navit/xpm)
set(MAN_DIR share/man/man1)
# LIB_DIR
IF(UNIX AND NOT ANDROID AND NOT APPLE)
    IF (NOT LIBDIR)
        MESSAGE(STATUS "LIBDIR variable is not defined. It will be autodetected now.")
        MESSAGE(STATUS "You can set it manually with -DLIBDIR=<value>")
        # check 64 bit
        IF (CMAKE_SIZEOF_VOID_P EQUAL 4)
            SET(LIB_DIR lib)
            MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
        ELSE (CMAKE_SIZEOF_VOID_P EQUAL 4)
            SET(LIB_DIR lib64)
            MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
        ENDIF (CMAKE_SIZEOF_VOID_P EQUAL 4)
    ELSE (NOT LIBDIR)
        GET_FILENAME_COMPONENT (LIB_DIR ${LIBDIR} NAME)
        MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
    ENDIF (NOT LIBDIR)
ELSE (UNIX AND NOT ANDROID AND NOT APPLE)
    SET(LIB_DIR lib)
ENDIF (UNIX AND NOT ANDROID AND NOT APPLE)

foreach(EXTRA_MODULE ${EXTRA_MODULES}) 
   add_module(${EXTRA_MODULE} "extra module specified" TRUE)
endforeach()

if (EXTRA_LIBS)
	list(APPEND NAVIT_LIBS ${EXTRA_LIBS})
endif(EXTRA_LIBS)

if (EXTRA_INCLUDES)
    include_directories(${EXTRA_INCLUDES})
endif(EXTRA_INCLUDES)

if (EXTRA_LIBDIR)
    link_directories(${EXTRA_LIBDIR})
endif(EXTRA_LIBDIR)

### Detect environment

add_plugin(support/ezxml "native Glib found" FALSE)
add_plugin(support/glib "native Glib found" FALSE)
add_plugin(support/zlib "native zlib found" FALSE)
add_plugin(support/libpng "native libpng found" FALSE)
add_plugin(support/wordexp "native wordexp found" FALSE)
add_plugin(support/gettext_intl "native libintl found" FALSE)
add_module(font/freetype "freetype not found" FALSE)
add_module(graphics/android "FreeType library not found" FALSE)
add_module(graphics/gd "FreeType library not found" FALSE)
add_module(graphics/gtk_drawing_area "FreeType library not found" FALSE)
add_module(graphics/opengl "FreeType library not found" FALSE)
add_module(graphics/sdl "FreeType library not found" FALSE)
add_module(graphics/qt_qpainter "Qt libraries not found" FALSE)
add_module(gui/qml "Qt Declarative not found" FALSE)
add_module(gui/gtk "GTK libs not found" FALSE)
add_module(vehicle/gpsd "gpsd lib not found" FALSE)
add_module(vehicle/gypsy "gypsy lib not found" FALSE)
add_module(vehicle/maemo "Default" FALSE)
add_module(binding/win32 "Default" FALSE)
add_module(binding/dbus "dbus-glib-1 not found" FALSE)
add_module(binding/python "python libraries not found" FALSE)
add_module(speech/dbus "dbus-glib-1 not found" FALSE)
add_module(speech/cmdline "neither system() nor CreateProcess() found" FALSE)
add_module(vehicle/gpsd_dbus "dbus-glib-1 not found" FALSE)
add_module(speech/speech_dispatcher "speech_dispatcher lib not found" FALSE)
add_module(autoload/osso "Default" FALSE)
add_module(map/garmin "Garmin library not found" FALSE)
add_feature(USE_NATIVE_LANGUAGE_SUPPORT "Gettext not found and not on Windows" FALSE)

INCLUDE (CPack)
INCLUDE (CheckIncludeFiles)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)
find_package(Glib)
find_package(Gmodule)
find_package(ZLIB)
find_package(Freetype)
find_package(SDL)
find_package(SDL_ttf)
find_package(SDL_image)
find_package(OpenGL)
find_package(GLUT)
find_package(GTK2 2.6 COMPONENTS gtk)
find_package(XGettextGlade)
find_package(PNG)
find_package(DBusGLib)
find_package(PythonLibs)
find_package(OpenSSL)
find_package(Threads)
libfind_pkg_check_modules(FONTCONFIG fontconfig)
#Qt detection
if (NOT DISABLE_QT)
  # Unfortunately, CMake seems to ignore the "OPTIONAL_COMPONENTS" flag,
  # and actually requires all components to be installed. Maybe this can
  # be fixed later...
  find_package(Qt4 4.7 COMPONENTS QtCore OPTIONAL_COMPONENTS QtGui QtXml QtDeclarative QtSvg)
endif (NOT DISABLE_QT)
#pkg-config based detection
find_package(PkgConfig)
if(PKG_CONFIG_FOUND)
   pkg_check_modules(QUESOGLC quesoglc)
   pkg_check_modules(LIBLOCATION liblocation)
   pkg_check_modules(LIBOSSO libosso)
   # Accept even old versions of libgps, because N810 uses an old version (see #1179).
   pkg_check_modules(LIBGPS libgps)
   pkg_check_modules(LIBGPS19 libgps>=2.90)
   # libgpsd<V3.1 is buggy if LC_ALL is set.
   pkg_check_modules(LIBGPS_NEW libgps>=3.1)
   pkg_check_modules(LIBGARMIN libgarmin)
   pkg_check_modules(IMLIB2 imlib2)
   if(IMLIB2_FOUND)
      set(HAVE_IMLIB2 1)
   endif(IMLIB2_FOUND)
endif(PKG_CONFIG_FOUND)
#Simple checks
CHECK_INCLUDE_FILES(wordexp.h HAVE_WORDEXP)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(byteswap.h HAVE_BYTESWAP_H)
CHECK_LIBRARY_EXISTS(gypsy gypsy_control_get_default "" GYPSY_FOUND)
CHECK_INCLUDE_FILES(libspeechd.h HAVE_LIBSPEECHD)
CHECK_INCLUDE_FILES(sys/socket.h HAVE_SOCKET)
CHECK_INCLUDE_FILES(sys/shm.h HAVE_SHMEM)
CHECK_FUNCTION_EXISTS(snprintf   HAVE_SNPRINTF)
if (NOT HAVE_SNPRINTF)
   CHECK_FUNCTION_EXISTS(_snprintf  HAVE_DECL__SNPRINTF)
   if (HAVE_DECL__SNPRINTF)
      set(HAVE_SNPRINTF 1)
   endif(HAVE_DECL__SNPRINTF)
endif(NOT HAVE_SNPRINTF)
CHECK_INCLUDE_FILES(locale.h HAVE_LC_MESSAGES)
CHECK_INCLUDE_FILES(libintl.h HAVE_LIBINTL)
CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(getopt.h HAVE_GETOPT_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
CHECK_SYMBOL_EXISTS(system stdlib.h HAVE_SYSTEM)
CHECK_SYMBOL_EXISTS(CreateProcess windows.h HAVE_CREATEPROCESS)
CHECK_SYMBOL_EXISTS(stpcpy string.h HAVE_STPCPY)
CHECK_FUNCTION_EXISTS(sbrk HAVE_SBRK)
CHECK_FUNCTION_EXISTS(getdelim HAVE_GETDELIM)
CHECK_FUNCTION_EXISTS(getline HAVE_GETLINE)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC) 


### Configure build
#Required libraries, supplied with navit
if (NOT HAVE_LIBINTL)
   set_with_reason(support/gettext_intl "native libintl missing" TRUE)
   set(USE_LIBGNUINTL TRUE)
else()
   CHECK_LIBRARY_EXISTS(intl libintl_fprintf "" NEEDS_LIBINTL)
   if (NEEDS_LIBINTL)
      list(APPEND NAVIT_LIBS intl)
      set(INTL_LIBS intl)
   endif(NEEDS_LIBINTL)
endif(NOT HAVE_LIBINTL)

if (CMAKE_USE_PTHREADS_INIT)
   if (NOT ANDROID)
      list(APPEND NAVIT_LIBS pthread)
   endif(NOT ANDROID)
endif(CMAKE_USE_PTHREADS_INIT)
if (Glib_FOUND)
   set(HAVE_GLIB 1)
   include_directories(${Glib_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${Glib_LIBRARIES})
else(Glib_FOUND)
   set_with_reason(support/glib "Glib not found" TRUE ${INTL_LIBS})
endif(Glib_FOUND)
if (Gmodule_FOUND)
   set(HAVE_GMODULE 1)
   include_directories(${Gmodule_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${Gmodule_LIBRARIES})
endif(Gmodule_FOUND)
if(ZLIB_FOUND)
   set(HAVE_ZLIB 1)
   include_directories(${ZLIB_INCLUDE_DIRS})
   list(APPEND NAVIT_LIBS ${ZLIB_LIBRARIES})
else(ZLIB_FOUND)
   message(STATUS "using internal zlib")
   set_with_reason(support/zlib "native zlib missing" TRUE)
endif(ZLIB_FOUND)
if(OPENSSL_CRYPTO_LIBRARIES)
   set(HAVE_LIBCRYPTO 1)
   include_directories(${OPENSSL_INCLUDE_DIR})
   list(APPEND NAVIT_LIBS ${OPENSSL_CRYPTO_LIBRARIES})
endif()
if(PNG_FOUND)
   set(HAVE_PNG 1)
   include_directories(${PNG_INCLUDE_DIR})
   list(APPEND NAVIT_LIBS ${PNG_LIBRARIES})
else(PNG_FOUND)
   message(STATUS "using internal libpng")
   set_with_reason(support/libpng "native libpng missing" TRUE)
endif(PNG_FOUND)
if (NOT HAVE_WORDEXP)
   message(STATUS "wordexp.h not found. use internal wordexp")
   set_with_reason(support/wordexp "native wordexp missing" TRUE)
endif()
if (NOT Glib_FOUND)
   set_with_reason(support/ezxml "Glib not found" TRUE)
endif()

if(FREETYPE_FOUND)
   pkg_check_modules(FRIBIDI fribidi)
   pkg_check_modules(FRIBIDI2 fribidi>=0.19.0)
   include_directories(${FREETYPE_INCLUDE_DIRS})
   set_with_reason(font/freetype "freetype found" TRUE "${FREETYPE_LIBRARY};${FONTCONFIG_LDFLAGS};${FRIBIDI_LIBRARIES}")
else(FREETYPE_FOUND)
   MESSAGE("No freetype library found, graphics modules may not be available")
   set_with_reason(graphics/android "FreeType library not found" FALSE)
   set_with_reason(graphics/gd "FreeType library not found" FALSE)
   set_with_reason(graphics/gtk_drawing_area "FreeType library not found" FALSE)
   set_with_reason(graphics/opengl "FreeType library not found" FALSE)
   set_with_reason(graphics/sdl "FreeType library not found" FALSE)
endif(FREETYPE_FOUND)

if(FONTCONFIG_FOUND)
   set(HAVE_FONTCONFIG 1)
endif(FONTCONFIG_FOUND)

if (QT_FOUND)
   if (QT_QTCORE_FOUND AND QT_QTGUI_FOUND AND FREETYPE_FOUND)
      include(${QT_USE_FILE})
      set_with_reason(graphics/qt_qpainter "Qt libraries found" TRUE ${QT_LIBRARIES})

      if (QT_QTDECLARATIVE_FOUND AND QT_QTXML_FOUND)
         set_with_reason(gui/qml "Qt Declarative found" TRUE ${QT_LIBRARIES}) 
      endif()

      if (QT_QTSVG_FOUND)
         set(HAVE_QT_SVG 1)
      elseif( USE_SVG AND graphics/qt_qpainter)
         message( WARNING "QT compiled without SVG support")
      endif()
   endif()
endif(QT_FOUND)

if(GTK2_FOUND)
   # Include gtk.h with "SYSTEM" to avoid GCC compiler warning for gtkitemfactory.h.
   include_directories(SYSTEM ${GTK2_GTK_INCLUDE_DIR})
   include_directories(${GTK2_INCLUDE_DIRS})
   set(HAVE_GTK2 1)
   set_with_reason(gui/gtk "GTK libs found" TRUE ${GTK2_LIBRARIES})
   if(FREETYPE_FOUND)
      set_with_reason(graphics/gtk_drawing_area "GTK libs found" TRUE ${GTK2_LIBRARIES})
   endif(FREETYPE_FOUND)
endif(GTK2_FOUND)

CHECK_LIBRARY_EXISTS(freeimage FreeImage_Load "" HAVE_FREEIMAGE)
if (USE_OPENGLES OR USE_OPENGLES2)
   CHECK_LIBRARY_EXISTS(EGL eglInitialize "" HAVE_EGL)
endif(USE_OPENGLES OR USE_OPENGLES2)
if (FREETYPE_FOUND)
   if (OPENGL_FOUND AND OPENGL_GLU_FOUND AND GLUT_FOUND AND OPENGL_INCLUDE_DIR)
      message (STATUS "opengl found: ${OPENGL_gl_LIBRARY}")
      include_directories(${OPENGL_INCLUDE_DIR})
      if (USE_OPENGLES2)
	 set(USE_OPENGLES TRUE)
	 set(GRAPHICS_OPENGL_LIBRARY GLESv2 EGL)
      elseif (USE_OPENGLES)
         set(GRAPHICS_OPENGL_LIBRARY GLESv1_CM EGL)
      else()
         set(GRAPHICS_OPENGL_LIBRARY ${OPENGL_gl_LIBRARY};${OPENGL_glu_LIBRARY};${GLUT_glut_LIBRARY})
      endif(USE_OPENGLES2)
      if (HAVE_FREEIMAGE)
         list(APPEND GRAPHICS_OPENGL_LIBRARY freeimage)
      endif(HAVE_FREEIMAGE)
      set_with_reason(graphics/opengl "Found OpenGL" TRUE ${GRAPHICS_OPENGL_LIBRARY})
   else()
      message (STATUS "opengl not found")
   endif()
else()
   message (STATUS "no Freetype found")
endif(FREETYPE_FOUND)

if(SDL_FOUND AND SDLIMAGE_FOUND AND FREETYPE_FOUND)
   set(SDL_IMAGE 1)
   if(SDLTTF_FOUND)
      set(SDL_TTF 1)
      list(APPEND SDL_LIBRARY ${SDLTTF_LIBRARY})
   else(SDLTTF_FOUND)
      list(APPEND SDL_LIBRARY ${FREETYPE_LIBRARY})
   endif(SDLTTF_FOUND)
   set_with_reason(graphics/sdl "SDL/SDL_image libs found" TRUE ${SDL_LIBRARY} ${SDLIMAGE_LIBRARY})
endif(SDL_FOUND AND SDLIMAGE_FOUND AND FREETYPE_FOUND)

if (LIBGPS_FOUND)
   if (LIBGPS_NEW_FOUND)

=== navit/CMakeLists.txt ===
include_directories( "${PROJECT_BINARY_DIR}")
include_directories( "${PROJECT_SOURCE_DIR}")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}")
include_directories( "${CMAKE_CURRENT_BINARY_DIR}")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/support")

# navit cre
set(NAVIT_SRC announcement.c atom.c attr.c cache.c callback.c command.c compass.c config_.c coord.c country.c data_window.c debug.c 
   event.c file.c geom.c graphics.c gui.c item.c layout.c log.c main.c map.c maps.c 
   linguistics.c mapset.c maptype.c menu.c messages.c bookmarks.c navit.c navit_nls.c navigation.c osd.c param.c phrase.c plugin.c popup.c
   profile.c profile_option.c projection.c roadprofile.c route.c routech.c script.c search.c speech.c start_real.c sunriset.c transform.c track.c 
   util.c vehicle.c vehicleprofile.c xmlconfig.c )

if(NOT USE_PLUGINS)
  list(APPEND NAVIT_SRC  ${CMAKE_CURRENT_BINARY_DIR}/builtin.c)
endif(NOT USE_PLUGINS)

if (${HAVE_GLIB})
   list(APPEND NAVIT_SRC event_glib.c)
endif()

if(ANDROID)
   list(APPEND NAVIT_SRC android.c)
   set(NAVIT_LIBNAME navit)
else()
   set(NAVIT_LIBNAME navit_core)
endif()


foreach ( PLUGIN_PATH ${ALL_PLUGINS})
   if (${PLUGIN_PATH})
      include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_PATH}")
      
      string(REPLACE "/" "_" MODULE_INC ${PLUGIN_PATH})
      list(APPEND NAVIT_SUPPORT_LIBS ${MODULE_INC})
   endif()
endforeach()

foreach ( MODULE_PATH ${ALL_MODULES})
   if ( ${MODULE_PATH} )
      include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/${MODULE_PATH}")
      
      string(REPLACE "/" "_" MODULE_INC ${MODULE_PATH})
      list(APPEND MODULES_PROTOTYPE "\nvoid\tmodule_${MODULE_INC}_init(void)")
      list(APPEND MODULES_FUNC "\nmodule_${MODULE_INC}_init()")
      
      if (NOT USE_PLUGINS)
         list(APPEND MODULES_NAME ${MODULE_INC})
      else()
         string(REGEX REPLACE "(^[^/]*)/.*" "\\1" ${MODULE_INC}_TYPE ${MODULE_PATH})
      endif()
   endif()
endforeach()

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/builtin.c.in ${CMAKE_CURRENT_BINARY_DIR}/builtin.c)

include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/fib-1.1")

# Add module paths
foreach (CURRENT_MODULE ${ALL_PLUGINS} ${ALL_MODULE_PLUGINS} ${ALL_MODULES})
   if (${CURRENT_MODULE})
      add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${CURRENT_MODULE}")
   endif()
endforeach()

add_subdirectory (fib-1.1)

if(NOT ANDROID)
   set(NAVIT_START_SRC start.c)
   if(WIN32 OR WINCE AND NOT WIN_OMIT_RESOURCES)
      list(APPEND NAVIT_START_SRC ${CMAKE_CURRENT_SOURCE_DIR}/gui/win32/resources/resource.rc)
   else()
      if (APPLE)
          set(NAVIT_START_SRC start_apple.m)
      endif()
   endif()
   if (BUILD_BUNDLE)
      list(APPEND NAVIT_START_SRC resources/share resources/Icon.png resources/Default.png)
      add_custom_command(OUTPUT resources/Icon.png COMMAND convert -scale 79x79 -crop 60x60+8+19 ${CMAKE_CURRENT_SOURCE_DIR}/xpm/desktop_icons/128x128/navit.png resources/Icon.png)
      add_custom_command(OUTPUT resources/Default.png COMMAND convert -scale 79x79 -crop 60x60+8+19 ${CMAKE_CURRENT_SOURCE_DIR}/xpm/desktop_icons/128x128/navit.png resources/Default.png)
   endif()
   add_executable(navit ${NAVIT_START_SRC})
   target_link_libraries (navit ${NAVIT_LIBNAME})
   set_target_properties(navit PROPERTIES COMPILE_DEFINITIONS "MODULE=${MODULE_NAME}")
   if (BUILD_BUNDLE)
      add_custom_command(OUTPUT resources/share COMMAND mkdir -p resources/share)
      set_source_files_properties(resources/share resources/Icon.png resources/Default.png PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
      set_target_properties(navit PROPERTIES MACOSX_BUNDLE TRUE)
      set_target_properties(navit PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
      add_dependencies(navit navit_config_xml_resource)
      add_dependencies(navit images_resource)
      add_dependencies(navit locale_resource)
   endif()
endif()

if (SHARED_LIBNAVIT)
  add_library (${NAVIT_LIBNAME} SHARED ${NAVIT_SRC} )
else(SHARED_LIBNAVIT)
  add_library (${NAVIT_LIBNAME} STATIC ${NAVIT_SRC} )
endif(SHARED_LIBNAVIT)
if(NOT MSVC)
    SET(NAVIT_LIBS ${NAVIT_LIBS} m)
endif(NOT MSVC)
target_link_libraries(${NAVIT_LIBNAME}  ${MODULES_NAME} ${NAVIT_SUPPORT_LIBS} fib ${NAVIT_LIBS} ) 
set_target_properties(${NAVIT_LIBNAME} PROPERTIES COMPILE_DEFINITIONS "MODULE=navit;LIBDIR=\"${CMAKE_INSTALL_PREFIX}/${LIB_DIR}\";PREFIX=\"${CMAKE_INSTALL_PREFIX}\"")
if (DEFINED NAVIT_COMPILE_FLAGS)
   set_target_properties(${NAVIT_LIBNAME} PROPERTIES COMPILE_FLAGS "${NAVIT_COMPILE_FLAGS}")
endif()

# Subversion revision
ADD_CUSTOM_TARGET(
   version
   ${CMAKE_COMMAND} -D SRC=${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
                    -D DST=${CMAKE_CURRENT_BINARY_DIR}/version.h
                    -D NAME=SVN_VERSION
                    -P ${PROJECT_SOURCE_DIR}/cmake/version.cmake
)

# additional parameter are passed to the stylesheet processor as parameter
macro(process_xslt SRC_XML DEST_XML)
   set(XSLT_COMMANDS COMMAND ${CMAKE_COMMAND} -E copy ${SRC_XML} ${DEST_XML}
                     COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/navit/navit.dtd ${CMAKE_CURRENT_BINARY_DIR}/navit.dtd)
   if(XSL_PROCESSING AND XSLTS)
       string(REPLACE "," ";" XSLTS "${XSLTS}")
       foreach(tmp ${XSLTS})
          set(XSLT_FILE "${PROJECT_SOURCE_DIR}/navit/xslt/${tmp}.xslt")
          list(APPEND XSLT_FILES "${XSLT_FILE}")
          list(APPEND XSLT_COMMANDS COMMAND ${CMAKE_COMMAND} -E echo  Applying ${tmp}.xslt)
          compose_xslt_transform_command(CMD "${XSLT_FILE}" "${DEST_XML}" "${DEST_XML}.tmp" "${ARGN}")
          list(APPEND XSLT_COMMANDS ${CMD})
          list(APPEND XSLT_COMMANDS COMMAND ${CMAKE_COMMAND} -E rename ${DEST_XML}.tmp ${DEST_XML})
       endforeach()
   endif()
   ADD_CUSTOM_COMMAND(
      OUTPUT ${DEST_XML}
      DEPENDS ${SRC_XML} ${XSLT_FILES}
      ${XSLT_COMMANDS}
   )
endmacro()

if(ANDROID)
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navithdpi.xml OSD_SIZE=2 ICON_MEDIUM=48)
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navitmdpi.xml OSD_SIZE=1.33)
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navitldpi.xml OSD_SIZE=1)
   add_custom_target( navit_config_xml ALL DEPENDS navithdpi.xml navitmdpi.xml navitldpi.xml)
else()
   process_xslt(${CMAKE_CURRENT_SOURCE_DIR}/navit_shipped.xml ${CMAKE_CURRENT_BINARY_DIR}/navit.xml "")
   add_custom_target( navit_config_xml_resource DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/navit.xml COMMAND mkdir -p resources/share/navit COMMAND cp ${CMAKE_CURRENT_BINARY_DIR}/navit.xml resources/share/navit)
   add_custom_target( locale_resource DEPENDS locales COMMAND mkdir -p resources/share COMMAND cp -a ${CMAKE_CURRENT_BINARY_DIR}/../locale resources/share/locale)
   add_custom_target( navit_config_xml ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/navit.xml)
endif()

ADD_DEPENDENCIES(${NAVIT_LIBNAME} version)
if (USE_LIBGNUINTL AND NOT HAVE_GLIB)
   ADD_DEPENDENCIES(support_glib support_gettext_intl)
endif()


add_subdirectory (maptool)
add_subdirectory (xpm)
add_subdirectory (maps)
if(ANDROID)
   add_subdirectory (android)
endif()

install(TARGETS navit
        DESTINATION ${BIN_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/navit.xml
        DESTINATION ${SHARE_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

get_directory_property(INCLUDE_DIRECTORIES INCLUDE_DIRECTORIES)
WRITE_FILE("cmake_plugin_settings.txt"
	"set(APPLE ${APPLE} CACHE BOOL init)\n" 
	"set(ANDROID ${ANDROID} CACHE BOOL init)\n"
	"set(USE_PLUGINS ${USE_PLUGINS} CACHE BOOL init)\n"
	"set(MODULE_BUILD_TYPE \"${MODULE_BUILD_TYPE}\" CACHE STRING init)\n"
	"set(NAVIT_COMPILE_FLAGS \"${NAVIT_COMPILE_FLAGS}\" CACHE STRING init)\n"
	"set(navit_SOURCE_DIR \"${navit_SOURCE_DIR}\" CACHE STRING init)\n"
	"set(NAVIT_LIBNAME \"${NAVIT_LIBNAME}\" CACHE STRING init)\n"
	"set(ANDROID_API_VERSION \"${ANDROID_API_VERSION}\" CACHE STRING init)\n"
	"set(ANDROID_NDK_API_VERSION \"${ANDROID_NDK_API_VERSION}\" CACHE STRING init)\n"
	"set(CMAKE_TOOLCHAIN_FILE \"${CMAKE_TOOLCHAIN_FILE}\" CACHE STRING init)\n"
	"set(INCLUDE_DIRECTORIES \"${INCLUDE_DIRECTORIES}\" CACHE STRING init)\n"
	"set(LIB_DIR \"${LIB_DIR}\" CACHE STRING init)\n"
	"set(CMAKE_INSTALL_PREFIX \"${CMAKE_INSTALL_PREFIX}\" CACHE STRING init)\n"
	)

=== debian/changelog ===
navit (0.5.0~svn5740+dfsg.1-2) unstable; urgency=medium

  * New patch: support-speech-dispatcher-0.8.patch (closes: #739210):
    Support speech-dispatcher >= 0.8 for which upstream decided to
    move include files to /usr/include/speech-dispatcher/.
  * debian/rules: force speech-dispatcher support.

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Feb 2014 23:54:06 +0100

navit (0.5.0~svn5740+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + fr and ca translations update.

  * d/control: drop Build-Depends on libdevil-dev (closes: #736543).

 -- Gilles Filippini <pini@debian.org>  Sat, 25 Jan 2014 10:57:41 +0100

navit (0.5.0~svn5738+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + gui_internal:
      - Add menu entry for coordinate input
      - Move Quit to top level
    + Many translations update
    + Bug fixes.

  * New patch freetype-include-path.patch to handle the new freetype
    headers location starting with its 2.5 release (closes: #733378).
  * Refresh patches:
    + icons-dir
    + maptool-uninitialised-values.patch

  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Dec 2013 20:28:07 +0100

## navit 0.5.0~svn5900+dfsg.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.navitproject.navit")
 set(MACOSX_BUNDLE_BUNDLE_NAME "Navit")
+message(STATUS "Building with CMake V${CMAKE_VERSION}")
 project(navit C)
 
 # Workaround for CMake issue 8345 / 9220, see http://trac.navit-project.org/ticket/1041
 if(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
   set(CMAKE_CXX_COMPILER CMAKE_CXX_COMPILER-NOTFOUND)
-endif(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$") 
+endif(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
 if (NOT DISABLE_CXX)
   enable_language(CXX OPTIONAL)
 endif(NOT DISABLE_CXX)
@@ -52,7 +53,7 @@
     SET(LIB_DIR lib)
 ENDIF (UNIX AND NOT ANDROID AND NOT APPLE)
 
-foreach(EXTRA_MODULE ${EXTRA_MODULES}) 
+foreach(EXTRA_MODULE ${EXTRA_MODULES})
    add_module(${EXTRA_MODULE} "extra module specified" TRUE)
 endforeach()
 
@@ -81,7 +82,7 @@
 add_module(graphics/gd "FreeType library not found" FALSE)
 add_module(graphics/gtk_drawing_area "FreeType library not found" FALSE)
 add_module(graphics/opengl "FreeType library not found" FALSE)
-add_module(graphics/sdl "FreeType library not found" FALSE)
+add_module(graphics/sdl "Required library not found" FALSE)
 add_module(graphics/qt_qpainter "Qt libraries not found" FALSE)
 add_module(gui/qml "Qt Declarative not found" FALSE)
 add_module(gui/gtk "GTK libs not found" FALSE)
@@ -114,7 +115,7 @@
 find_package(OpenGL)
 find_package(GLUT)
 find_package(GTK2 2.6 COMPONENTS gtk)
-find_package(XGettextGlade)
+find_package(Gettext)
 find_package(PNG)
 find_package(DBusGLib)
 find_package(PythonLibs)
@@ -173,7 +174,7 @@
 CHECK_FUNCTION_EXISTS(sbrk HAVE_SBRK)
 CHECK_FUNCTION_EXISTS(getdelim HAVE_GETDELIM)
 CHECK_FUNCTION_EXISTS(getline HAVE_GETLINE)
-CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC) 
+CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)
 
 
 ### Configure build
@@ -259,7 +260,7 @@
       set_with_reason(graphics/qt_qpainter "Qt libraries found" TRUE ${QT_LIBRARIES})
 
       if (QT_QTDECLARATIVE_FOUND AND QT_QTXML_FOUND)
-         set_with_reason(gui/qml "Qt Declarative found" TRUE ${QT_LIBRARIES}) 
+         set_with_reason(gui/qml "Qt Declarative found" TRUE ${QT_LIBRARIES})
       endif()
 
       if (QT_QTSVG_FOUND)
@@ -319,5 +320,3 @@
    set_with_reason(graphics/sdl "SDL/SDL_image libs found" TRUE ${SDL_LIBRARY} ${SDLIMAGE_LIBRARY})
 endif(SDL_FOUND AND SDLIMAGE_FOUND AND FREETYPE_FOUND)
 
-if (LIBGPS_FOUND)
-   if (LIBGPS_NEW_FOUND)

=== navit/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/support")
 
 # navit cre
-set(NAVIT_SRC announcement.c atom.c attr.c cache.c callback.c command.c compass.c config_.c coord.c country.c data_window.c debug.c 
-   event.c file.c geom.c graphics.c gui.c item.c layout.c log.c main.c map.c maps.c 
+set(NAVIT_SRC announcement.c atom.c attr.c cache.c callback.c command.c config_.c coord.c country.c data_window.c debug.c
+   event.c file.c geom.c graphics.c gui.c item.c layout.c log.c main.c map.c maps.c
    linguistics.c mapset.c maptype.c menu.c messages.c bookmarks.c navit.c navit_nls.c navigation.c osd.c param.c phrase.c plugin.c popup.c
    profile.c profile_option.c projection.c roadprofile.c route.c routech.c script.c search.c speech.c start_real.c sunriset.c transform.c track.c 
-   util.c vehicle.c vehicleprofile.c xmlconfig.c )
+   search_houseno_interpol.c util.c vehicle.c vehicleprofile.c xmlconfig.c )
 
 if(NOT USE_PLUGINS)
   list(APPEND NAVIT_SRC  ${CMAKE_CURRENT_BINARY_DIR}/builtin.c)

=== navit/xpm/CMakeLists.txt ===
macro(convert_to_png IMAGE_INPUT IMAGE_OUTPUT SCALE)
   get_filename_component(FILE_EXT ${IMAGE_INPUT} EXT)
   string(TOUPPER ${FILE_EXT} FILE_TYPE)
   string(REGEX REPLACE "^\\." "" FILE_TYPE ${FILE_TYPE})
   if(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "rsvg-convert")
      if (${SCALE} GREATER 0)
         set(SCALE_ARGS --width=${SCALE} --height=${SCALE})
      else()
         set(SCALE_ARGS)
      endif()
      set(COMMAND_ARGS ${SCALE_ARGS} --output ${IMAGE_OUTPUT} ${IMAGE_INPUT})
   elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "convert")
      if (${SCALE} GREATER 0)
         set(SCALE_ARGS -resize ${SCALE}x${SCALE})
      else()
         set(SCALE_ARGS)
      endif()
      set(COMMAND_ARGS -background none ${IMAGE_INPUT} ${SCALE_ARGS} ${IMAGE_OUTPUT})
   elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "ksvgtopng")
      set (NEW_SCALE ${SCALE})
      if (${SCALE} EQUAL 0)
         file(STRINGS  ${IMAGE_INPUT} NEW_SCALE_LINE REGEX "[^-]width=\"[0-9pxt.]*\"")
         string(REGEX REPLACE ".*width=\"([0-9]*).*" "\\1" NEW_SCALE ${NEW_SCALE_LINE})
       endif()
      set(COMMAND_ARGS ${NEW_SCALE} ${NEW_SCALE}  ${IMAGE_INPUT} ${IMAGE_OUTPUT})
   elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "inkscape")
      if (${SCALE} GREATER 0)
         set(SCALE_ARGS --export-width=${SCALE} --export-height=${SCALE})
      else()
         set(SCALE_ARGS)
      endif()
      set(COMMAND_ARGS --without-gui --export-background-opacity=0 --export-png ${IMAGE_OUTPUT} ${SCALE_ARGS} ${IMAGE_INPUT})
   else()
      message(FATAL_ERROR "no svg2png converter defined here.")
   endif()

   add_custom_command (
      OUTPUT ${IMAGE_OUTPUT}
      DEPENDS ${IMAGE_INPUT}
      COMMAND ${IMAGE_CONVERTER_${FILE_TYPE}} ${COMMAND_ARGS}
   )
endmacro()

macro(add_scale_targets IMAGE_SRC IMAGE_NAME)
   string(REPLACE "," ";" SCALES "${ARGN}")
   set(add_scale_targets_is_first_scale 1)
   foreach (CURRENT_SCALE ${SCALES})
      if(add_scale_targets_is_first_scale EQUAL 1)
         set (IMAGE_DST ${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_NAME}.png)
         set(add_scale_targets_is_first_scale 0)
      elseif (${CURRENT_SCALE} EQUAL 0)
         set (IMAGE_DST ${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_NAME}.png)
         message_error( "Image size value of 0 to leave image unscaled can only be given as the first value in row, e.g. -D svg2png_scaling=0,16,32 " )
      else()
         set (IMAGE_DST ${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_NAME}_${CURRENT_SCALE}_${CURRENT_SCALE}.png)
      endif()

      convert_to_png(
         ${CMAKE_CURRENT_SOURCE_DIR}/${IMAGE_SRC} 
         ${IMAGE_DST}
         ${CURRENT_SCALE}
      )
      list(APPEND IMAGE_TARGETS ${IMAGE_DST})
   endforeach()
endmacro()

install(FILES  desktop_icons/navit.desktop DESTINATION share/applications)
install(FILES  desktop_icons/22x22/navit.png DESTINATION share/icons/hicolor/22x22/apps)
install(FILES  desktop_icons/128x128/navit.png DESTINATION share/icons/hicolor/128x128/apps)
#install(FILES  bench.xpm DESTINATION )

if (USE_SVG OR SVG2PNG)
   FILE(GLOB SVG_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.svg" "*.svgz")
   
   if(USE_SVG)
      list(APPEND IMAGES_TO_COPY ${SVG_FILES})
   endif(USE_SVG)
   if(SVG2PNG)
      list(APPEND FILES_TO_PNG ${SVG_FILES})
   endif(SVG2PNG)
endif()

FILE(GLOB XPM_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.xpm")
if(XPM2PNG)
   foreach (IMAGE_SRC ${SVG_FILES})
      string(REGEX REPLACE ".[a-z]*\$" "" IMAGE ${IMAGE_SRC})
      list(APPEND SVG_FILES_BASENAMES ${IMAGE})
   endforeach()
   foreach (IMAGE_SRC ${XPM_FILES})
      string(REGEX REPLACE ".[a-z]*\$" "" IMAGE ${IMAGE_SRC})
      list(FIND SVG_FILES_BASENAMES ${IMAGE} DUP_IMG)
      if ( ${DUP_IMG} LESS 0 )
         list(APPEND FILES_TO_PNG ${IMAGE_SRC})
      else()
         message(STATUS "image '${IMAGE}': XPM version skipped in favor of SVG")
      endif()
   endforeach()
else()
   list(APPEND IMAGES_TO_COPY ${XPM_FILES})
endif(XPM2PNG)

foreach (IMAGE_SRC ${FILES_TO_PNG})
   string(REGEX REPLACE ".[a-z]*\$" "" IMAGE ${IMAGE_SRC})
   
   if ( IMAGE_SRC MATCHES ".*svgz*" )
      if ( DEFINED svg2png_scaling_nav AND ${IMAGE} MATCHES "^nav_")
         add_scale_targets(${IMAGE_SRC} ${IMAGE} ${svg2png_scaling_nav})
      elseif( DEFINED svg2png_scaling_flag AND ${IMAGE} MATCHES "^country_")
         add_scale_targets(${IMAGE_SRC} ${IMAGE} ${svg2png_scaling_flag})
      elseif( DEFINED svg2png_scaling)
         add_scale_targets(${IMAGE_SRC} ${IMAGE} ${svg2png_scaling})
      endif()
   else()
      add_scale_targets(${IMAGE_SRC} ${IMAGE} 0)
   endif()
      
endforeach()

foreach (IMAGE_FILE ${IMAGES_TO_COPY})
   add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_FILE}"
		      DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${IMAGE_FILE}"
		      COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/${IMAGE_FILE}"
		      "${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_FILE}"
   )
   list(APPEND IMAGE_TARGETS "${CMAKE_CURRENT_BINARY_DIR}/${IMAGE_FILE}")
endforeach()

add_custom_target(images ALL DEPENDS ${IMAGE_TARGETS})
add_custom_target(images_resource COMMAND mkdir -p ../resources/share/navit/xpm COMMAND cp ${IMAGE_TARGETS} ../resources/share/navit/xpm)
add_dependencies(images_resource images)

install(
   FILES ${IMAGE_TARGETS}
   DESTINATION ${IMAGE_DIR}
   PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

=== debian/changelog ===
navit (0.5.0~svn5900+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + Improved large file support.
    + Improved house number interpolation.
    + gui/gtk: new POI search dialog.
    + New translations and massive translation update from launchpad.
    + bug fixes
  * Drop patch freetype-include-path.patch (fixed upstream).

 -- Gilles Filippini <pini@debian.org>  Mon, 29 Sep 2014 15:33:16 +0200

=== debian/control ===
Source: navit
Section: misc
Priority: extra
Maintainer: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libglc-dev (>= 0.7.1), libspeechd-dev, libgps-dev (>= 3.1), freeglut3-dev,
 libimlib2-dev, libdbus-1-dev, libxml2-dev, libfribidi-dev, libpq-dev,
 libfreetype6-dev, libfontconfig1-dev, fonts-liberation,
 libsdl-image1.2-dev, libdbus-glib-1-dev, libqt4-dev, libqtwebkit-dev,
 librsvg2-bin, libgarmin-dev, imagemagick, cmake
Standards-Version: 3.9.5
Homepage: http://navit.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/navit.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/navit.git

Package: navit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, navit-data (= ${source:Version}),
 navit-gui-internal (= ${binary:Version}) |
 navit-gui-gtk (= ${binary:Version})
Recommends: gpsd
Suggests: maptool
Description: Car navigation system with routing engine
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 The Debian packaging for navit doesn't provide any map. To see, where you can
 get maps from, see <http://wiki.navit-project.org/index.php/Main_Page#Maps>.

Package: navit-gui-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-gtk-drawing-area (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the GTK+ GUI plugin.

Package: navit-gui-internal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 navit-graphics-gtk-drawing-area (= ${binary:Version}) |
 navit-graphics-qt-qpainter (= ${binary:Version})
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - internal GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the internal GUI plugin.

#Package: navit-gui-qml
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends},
#Recommends: navit (= ${binary:Version})
#Description: Car navigation system with routing engine - QML GUI
# Navit is a car navigation system with routing engine.
# .
# It has a modular design and supports several GUIs and graphic backends.
# .
# This package contains the QML GUI plugin.

Package: navit-graphics-gtk-drawing-area
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic gtk-drawing-area plugin to use with GTK+
 aware GUIs plugins.

Package: navit-graphics-qt-qpainter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - Qt graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic qt-qpainter plugin to use with Qt aware GUIs
 plugins.

Package: navit-data
Architecture: all
Depends: ${misc:Depends}
Recommends: navit
Description: Car navigation system with routing engine - data files
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the architecture independent files - mainly translation
 files and images - for navit.

Package: maptool
Architecture: any
Provides: osm2navit
Replaces: osm2navit
Conflicts: osm2navit
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: navit
Description: Converts OpenStreetMap maps to Navit
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 This package contains maptool, a tool to convert OpenStreetMap maps to the
 Navit format.

=== debian/rules ===
#!/usr/bin/make -f

# This is to let dpkg-buildflags do its job with CFLAGS
CMAKEFLAGS = -DCMAKE_BUILD_TYPE=debian -DCMAKE_C_FLAGS_DEBIAN=""

# Cross building
ifneq ($(DEB_HOST_MULTIARCH),$(DEB_BUILD_MULTIARCH))
export CC=$(DEB_HOST_MULTIARCH)-gcc
export CXX=$(DEB_HOST_MULTIARCH)-g++
export CMAKE_TOOLCHAIN_FILE=/etc/dpkg-cross/cmake/CMakeCross.txt
CMAKEFLAGS += -DCMAKE_LIBRARY_PATH="/usr/$(DEB_HOST_MULTIARCH)/lib" -DCMAKE_REQUIRED_INCLUDES="/usr/$(DEB_HOST_MULTIARCH)/include;/usr/$(DEB_HOST_MULTIARCH)/include/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_C_FLAGS_DEBIAN="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -I/usr/$(DEB_HOST_MULTIARCH)/include -I/usr/$(DEB_HOST_MULTIARCH)/include/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_CXX_FLAGS_DEBIAN="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -I/usr/$(DEB_HOST_MULTIARCH)/include -I/usr/$(DEB_HOST_MULTIARCH)/include/$(DEB_HOST_MULTIARCH) -I/usr/$(DEB_HOST_MULTIARCH)/include/qt4"
CMAKEFLAGS += -DQT_QTCORE_LIBRARY="/usr/$(DEB_HOST_MULTIARCH)/lib/libQtCore.so"
CMAKEFLAGS += -DQT_QTCORE_LIBRARY_RELEASE="/usr/$(DEB_HOST_MULTIARCH)/lib/libQtCore.so"
else
export CC=gcc
export CXX=g++
CMAKEFLAGS += -DCMAKE_C_FLAGS_DEBIAN="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	-DCMAKE_CXX_FLAGS_DEBIAN="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
endif
CMAKEFLAGS += -DCMAKE_MODULE_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
CMAKEFLAGS += -DCMAKE_SHARED_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
CMAKEFLAGS += -DCMAKE_EXE_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

# Native compiler (for navit/map/garmin/gentypes.c)
CMAKEFLAGS += -DNATIVE_CC=gcc

# Fonts
CMAKEFLAGS += -Dfont/freetype=TRUE

# svg2png is required to display country flags
CMAKEFLAGS += -Dsvg2png_scaling=0,8,16,32,48,96 -Dsvg2png_scaling_flag=8,16,32,48,96 -Dsvg2png_scaling_nav=8,16,32,48,96

# Force svg2png conversion using rsvg-convert since it is the most reliable
# ATM
CMAKEFLAGS += -DIMAGE_CONVERTER_SVGZ=rsvg-convert

# Enable GUIs we want
CMAKEFLAGS += -Dgui/gtk=TRUE -Dgui/internal=TRUE -Dgui/qml=FALSE

# Bindings
CMAKEFLAGS += -Dbinding/dbus=TRUE
# Pyrhon binding not available through cmake
#CMAKEFLAGS += -Dbinding/python=FALSE

# Wanted graphic backends
CMAKEFLAGS += -Dgraphics/gtk_drawing_area=TRUE -Dgraphics/qt_qpainter=TRUE -Dgraphics/null=TRUE

# Unwanted graphic backends (yet)
# opengl and sdl backends aren't mature enough
# gd backend segfaults
CMAKEFLAGS += -Dgraphics/android=FALSE -Dgraphics/gd=FALSE -Dgraphics/sdl=FALSE -Dgraphics/opengl=FALSE

# don't build the samplemap - we don't want to download
# stuff while building...
CMAKEFLAGS += -DSAMPLE_MAP=FALSE

# Maps
CMAKEFLAGS += -Dmap/garmin=TRUE -Dmap/mg=TRUE -Dmap/binfile=TRUE -Dmap/csv=TRUE -Dmap/shapefile=TRUE

# Vehicles
CMAKEFLAGS += -Dvehicle/null=TRUE -Dvehicle/demo=TRUE -Dvehicle/gpsd=TRUE
# disable gypsy support as there's no gypsy in Debian
CMAKEFLAGS += -Dvehicle/gypsy=FALSE

# Enable plugin pedestrian
CMAKEFLAGS += -Dplugin/pedestrian=TRUE

# Enable support/shapefile
CMAKEFLAGS += -Dsupport/shapefile=TRUE

# Enable libspeechd
CMAKEFLAGS += -Dspeech/speech_dispatcher=TRUE

# Avoid floating point calculation for armel
ifeq ($(DEB_HOST_ARCH), armel)
  CMAKEFLAGS += -DAVOID_FLOAT=TRUE
endif

# Prevent installing into lib64 when arch is 64 bits
CMAKEFLAGS += -DLIBDIR=lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEFLAGS)

override_dh_auto_install:
	dh_auto_install
	# Generate icon for Debian menu
	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps
	convert $(CURDIR)/navit/xpm/desktop_icons/128x128/navit.png -resize 32x32 $(CURDIR)/debian/tmp/usr/share/pixmaps/navit.xpm

	# Default navit configuration file moved into /etc
	mkdir -p $(CURDIR)/debian/tmp/etc/navit
	mv $(CURDIR)/debian/tmp/usr/share/navit/navit.xml \
	   $(CURDIR)/debian/tmp/etc/navit/

## navit 0.5.0%2Bdfsg.1

=== navit/font/freetype/CMakeLists.txt ===
module_add_library(font_freetype font_freetype.c)

if (FRIBIDI_FOUND)
   include_directories(${FRIBIDI_INCLUDE_DIRS})
   set_property(
      TARGET font_freetype
      APPEND PROPERTY COMPILE_DEFINITIONS USE_FRIBIDI=1
   )
   if (NOT FRIBIDI2_FOUND)
      set_property(
         TARGET font_freetype
         APPEND PROPERTY COMPILE_DEFINITIONS FRIBIDIOLD=1
      )
   endif (NOT FRIBIDI2_FOUND)
endif (FRIBIDI_FOUND)

=== navit/graphics/gtk_drawing_area/CMakeLists.txt ===
set(graphics_gtk_drawing_area_LIBS ${IMLIB2_LDFLAGS} ${GTK2_LIBRARIES})
module_add_library(graphics_gtk_drawing_area graphics_gtk_drawing_area.c)

=== navit/vehicle/gpsd_dbus/CMakeLists.txt ===
module_add_library(vehicle_gpsd_dbus vehicle_gpsd_dbus.c)

=== debian/changelog ===
navit (0.5.0+dfsg.1-1build1) xenial; urgency=medium

  * No-change rebuild for libgps transition.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 10:33:38 +0000

navit (0.5.0+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch maptool-uninitialised-values.patch (fixed upstream).
  * Refresh patches.

  * Drop Qt support (unmaintained and barely usable; closes: #784500).

  * Set upstream home page to the main wiki page.
    http://www.navit-project.org is unmaintained (see upstream trac
    ticket #1326).

 -- Gilles Filippini <pini@debian.org>  Sun, 03 Jan 2016 15:34:05 +0100

navit (0.5.0~+rc2+dfsg.1-1) unstable; urgency=medium

  * New upstream release (closes: #795051).
  * Upstream VCS moved from Sourceforge SVN to Github (see
    debian/README.source).
  * Set upstream homepage to http://www.navit-project.org.

 -- Gilles Filippini <pini@debian.org>  Sun, 01 Nov 2015 17:06:49 +0100

navit (0.5.0~svn6128+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + New j1850 plugin: allows Navit to read CAN-BUS datas in some cars
      using this protocol.
    + Major improvements of maneuver announcements (what and when).
    + New maneuvers (U turn, keep left/right, highway merge/exit).
    + Announce names and numbers of highway exits and interchanges.
    + New translations and massive translation update from launchpad.
    + bug fixes.
  * Drop patch support-speech-dispatcher-0.8.patch not needed anymore.
  * Update d/copyright.
  * Update d/README.*.

  * d/rules: enable parallel build.
  * d/control: bump Standards-Version to 3.9.6 (no change).

 -- Gilles Filippini <pini@debian.org>  Mon, 20 Jul 2015 23:43:29 +0200
